---
name: Bug report
about: Report an unexpected Flycheck behavior
title: ''
labels: 'kind: bug'
assignees: ''

---

Thank you for taking the time to report an issue and improve Flycheck.  This template is for **actual bugs you observed**.  If you have trouble setting up Flycheck, or if you have a question, please use the relevant issue template instead.

## Checklist

- [ ] I have checked existing issues for potential duplicates before creating this one.
- [ ] I have read the [Troubleshooting guide][].

## Bug description

A clear and concise description of what the bug is.

## Steps to reproduce

Steps to reproduce the behavior:
1. Open file '...'
2. Do '....'
3. See error

- [ ] I have read https://emacs.stackexchange.com/questions/28429/how-do-i-troubleshoot-emacs-problems

## Expected behavior

A clear and concise description of what you expected to happen.

## Screenshots

If applicable, add screenshots to help explain your problem.

## System configuration

```
Paste the output of `M-x flycheck-verify-setup` here.
```

Emacs configuration:
- [ ] Plain Emacs / Custom configuration
- [ ] Spacemacs
- [ ] Doom Emacs
- [ ] Other shared configuration

## Additional notes

Add any other context about the problem here.

[Troubleshooting guide]:  https://www.flycheck.org/en/latest/user/troubleshooting.html
